Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023946
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-05-30 13:352013-06-03 12:30
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in Version3.0MP24
StatusclosedFix in branchFixed in SCM revision22cf29c433bb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023946: In strange circumstances, there could be a null pointer exception in the index.jsp file

DescriptionIn some strange circumstances, a null pointer exception may happen in the index.jsp file (it's not reproducible, but it has happened in one environment).

This happens when the role is not set in the session, and there is no default role for the user. In this case, the check which checks if the role has its access to the backend restricted fails.
Steps To ReproduceNot clear how it can be reproduced. It happened at least once in the butler instance.
Proposed SolutionIn this obscure situation, the backend restriction will not be checked.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059072)
hgbot (developer)
2013-05-30 13:36

Repository: erp/devel/pi
Changeset: 22cf29c433bbbf26e31064e02d17e1c3bab14132
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu May 30 13:35:55 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/22cf29c433bbbf26e31064e02d17e1c3bab14132 [^]

Fixed issue 23946. The backend restriction will not be checked if there is no way to retrieve the role.

---
M src/index.jsp
---
(0059108)
hudsonbot (developer)
2013-06-01 02:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31f9b82dde77 [^]

Maturity status: Test
(0059123)
AugustoMauch (developer)
2013-06-03 12:30

Code reviewed and verified in pi@83b35f1de4c5

- Issue History
Date Modified Username Field Change
2013-05-30 13:35 marvintm New Issue
2013-05-30 13:35 marvintm Assigned To => marvintm
2013-05-30 13:35 marvintm Modules => Core
2013-05-30 13:35 marvintm Triggers an Emergency Pack => No
2013-05-30 13:36 hgbot Checkin
2013-05-30 13:36 hgbot Note Added: 0059072
2013-05-30 13:36 hgbot Status new => resolved
2013-05-30 13:36 hgbot Resolution open => fixed
2013-05-30 13:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/22cf29c433bbbf26e31064e02d17e1c3bab14132 [^]
2013-06-01 02:15 hudsonbot Checkin
2013-06-01 02:15 hudsonbot Note Added: 0059108
2013-06-03 12:30 AugustoMauch Review Assigned To => AugustoMauch
2013-06-03 12:30 AugustoMauch Note Added: 0059123
2013-06-03 12:30 AugustoMauch Status resolved => closed
2013-06-03 12:30 AugustoMauch Fixed in Version => 3.0MP24


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker